org.eclipse.oomph.setup

## Class LicenseInfo

- java.lang.Object
- - org.eclipse.oomph.setup.LicenseInfo

-     public final class LicenseInfo
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicenseInfo(String string)`
    `LicenseInfo(String uuid, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static String` | `getFirstLine(String body)`
    `String` | `getLabel()`
    `String` | `getName()`
    `String` | `getUUID()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseInfo

          public LicenseInfo(String string)

    - #### LicenseInfo

          public LicenseInfo(String uuid,
                     String name)

  - ### Method Detail

    - #### getUUID

          public String getUUID()

    - #### getName

          public String getName()

    - #### getLabel

          public String getLabel()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFirstLine

          public static String getFirstLine(String body)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html